STRSIGNAL(3)

NAME
strsignal - return string describing signal

SYNOPSIS
#include <string.h>

char *strsignal(int sig);

extern const char * const sys_siglist[];

DESCRIPTION
The strsignal() function returns a string describing the signal number passed in the argument sig. The string can only be used until the next call to strsignal().

The array sys_siglist holds the signal description strings indexed by signal number.

RETURN VALUE
The strsignal() function returns the appropriate description string, or an unknown signal message if the signal number is invalid.

SEE ALSO
psignal(3), strerror(3)